;
; ID Rom code
;

		.include	"idrom.inc"		; define the clock speed

		.data

		.word   t_end - t_start		; size of ID rom
		.word   02ff800h			; start of on-chip memory
t_start
		.word   t_end - t_start		; size of idrom
		.field  15, 16				; manufacturer code
		.field  0, 8				; processor id code
		.if		clock = 33
		.field  59, 8				; processor clock rate (ns -1) 33Mhz
		.else
		.field  49, 8				; processor clock rate (ns -1) 40Mhz
		.endif
		.field  208, 16				; model number
		.field  2, 8				; revision level
		.field  0, 8				; RESERVED
		.word   080000000h			; Base of Global 0
		.word   0ffffffffh			; Base of Global 1
		.word   00300000h			; Base of Local 0
		.word   0ffffffffh			; Base of Local 1
		.word   dram				; size of Global 0
		.word   0h					; size of Global 1
		.word   sram				; Size of Local 0
		.word   0h					; size of Local 1
		.word   0800h               ; Fast RAM pool (2K)
		.field  2, 4                ; G0 cycles (page hit)
		.field  0, 4                ; G1 cycles (page hit)
		.field  1, 4                ; L0 cycles (page hit)
		.field  0, 4                ; L1 cycles (page hit)
		.field  3, 4                ; G0 cycles (page miss)
		.field  0, 4                ; G1 cycles (page miss)
		.field  1, 4                ; L0 cycles (page miss)
		.field  0, 4                ; L1 cycles (page miss)
		.if		clock = 33
		.word   00001d97h           ; timer 0 33 mhz
		.else
		.word   00002710h			; timer 0 40 mhz
		.endif
;
; the value for timer 1 has to be the value divided by 2 because we are 
; using the timer in pulse mode.
;
		.if		clock = 33
		.word	00000038h			; timer 1 33 mhz
		.else
		.word   00000048h           ; timer 1 40 mhz
		.endif
		.field  02c6h, 16           ; timer 0 control
		.field  02c1h, 16           ; timer 1 control register
		.word   3e4a4000h           ; global control register
		.word   3d4a4850h           ; local control register
		.word   1
t_end:
		.word   0h
